<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Traits\Autenticable;
use DB;

class MarcaProductosController extends Controller
{
    use Autenticable;

    public function index(Request $request)
    {
        $datos = $request->json()->all();

        $token = $request->header('token');

        $usuario = $this->valida_token($token);
        if (is_null($usuario)) {
            return $this->tokenInvalido();
        }
        
        $marca = DB::table('marca_producto')
            ->select(
                'id_marca_producto as id',
                'descripcion as nombre'
            )->whereRaw('id_empresa = \''.$usuario->id_empresa.'\'')
            ->get();


        return response()->json($marca);

    }

}
